GtkPlotBox
3
GTKEXTRA Library

# GtkPlotBox

## Synopsis

    #include <gtkextra.h>

                        GtkPlotBox;
    GtkWidget*          gtk_plot_box_new                    (GtkOrientation orientation);
    void                gtk_plot_box_construct              (GtkPlotBox *box,
                                                             GtkOrientation orientation);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkPlotData
                               +----GtkPlotBox

## Implemented Interfaces

GtkPlotBox implements AtkImplementorIface and GtkBuildable.

## Properties

      "orientation"              GtkOrientation        : Read / Write

## Description

FIXME:: need long description.

## Details

### GtkPlotBox

    typedef struct _GtkPlotBox GtkPlotBox;

The GtkPlotBox struct contains only private data. It should only be accessed through the functions described below.

### gtk_plot_box_new ()

    GtkWidget*          gtk_plot_box_new                    (GtkOrientation orientation);

Create a new GtkPlotBox widget.

`orientation` :

  GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL.

Returns :

  a new GtkWidget.

### gtk_plot_box_construct ()

    void                gtk_plot_box_construct              (GtkPlotBox *box,
                                                             GtkOrientation orientation);

Initializes a GtkPlotBar structure.

`box` :

  a GtkPlotBox widget.

`orientation` :

  GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL.

## Property Details

### The `"orientation"` property

      "orientation"              GtkOrientation        : Read / Write

Orientation.

Default value: GTK_ORIENTATION_HORIZONTAL